Bug 1150616 - yast2-gpmc crashes when deleting GPO
yast2-gpmc crashes when deleting GPO
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: David Mulder
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-12 20:49 UTC by David Mulder
Modified: 2020-10-12 13:20 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Mulder 2019-09-12 20:49:40 UTC
2019-09-12 20:41:52 <3> dmm-sle15(40203) [Python] clients/gpmc.py(<module>):60 Traceback (most recent call last):
  File "/tmp/.mount_admin-LGH0hN/usr/share/YaST2/clients/../include/gpmc/wizards.py", line 11, in <lambda>
    'gpmc' : [(lambda lp, creds: GPMC(lp, creds).Show()), lp, creds],
  File "/tmp/.mount_admin-LGH0hN/usr/share/YaST2/clients/../include/gpmc/dialogs.py", line 628, in Show
    current_page = self.del_gpo(selected_gpo[1]['displayName'][-1])
  File "/tmp/.mount_admin-LGH0hN/usr/share/YaST2/clients/../include/gpmc/dialogs.py", line 552, in del_gpo
    self.q.delete_gpo(displayName)
  File "/tmp/.mount_admin-LGH0hN/usr/share/YaST2/clients/../include/gpmc/complex.py", line 269, in delete_gpo
    self.delete_link(gpo_dn, container['distinguishedName'][0].decode())
  File "/tmp/.mount_admin-LGH0hN/usr/share/YaST2/clients/../include/gpmc/complex.py", line 254, in delete_link
    self.ldap_modify(container_dn, stringify_ldap([(ldap.MOD_DELETE, 'gPLink', None), (ldap.MOD_ADD, 'gPLink', [gplink_str.encode('utf-8')])]))
NameError: name 'ldap' is not defined
Comment 1 David Mulder 2019-09-25 20:27:48 UTC
Resolved
Comment 2 OBSbugzilla Bot 2020-10-05 11:50:22 UTC
This is an autogenerated message for OBS integration:
This bug (1150616) was mentioned in
https://build.opensuse.org/request/show/839549 15.2 / yast2-gpmc
Comment 4 Swamp Workflow Management 2020-10-12 13:20:30 UTC
openSUSE-RU-2020:1661-1: An update that has 7 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1084864,1146898,1150614,1150616,1151733,1151738,1152357
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    yast2-gpmc-1.5.0-lp152.3.3.1